org.eclnt.jsfserver.elements.componentnodes

## Class GRIDFOOTERNode

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode
  - - org.eclnt.jsfserver.elements.componentnodes.GRIDFOOTERNode

- All Implemented Interfaces:
    java.io.Serializable

      public class GRIDFOOTERNode
      extends ROWDYNAMICCONTENTBinding.ComponentNode

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GRIDFOOTERNode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `GRIDFOOTERNode` | `bindAvoidexport(IDynamicContentBindingObject value)`
    `GRIDFOOTERNode` | `bindComment(IDynamicContentBindingObject value)`
    `GRIDFOOTERNode` | `bindConfiginfo(IDynamicContentBindingObject value)`
    `GRIDFOOTERNode` | `bindRendered(IDynamicContentBindingObject value)`
    `GRIDFOOTERNode` | `bindRowheight(IDynamicContentBindingObject value)`
    `GRIDFOOTERNode` | `bindStylevariant(IDynamicContentBindingObject value)`
    `GRIDFOOTERNode` | `setAttributemacro(java.lang.String value)`
    `GRIDFOOTERNode` | `setAvoidexport(boolean value)`
    `GRIDFOOTERNode` | `setAvoidexport(java.lang.String value)`
    `GRIDFOOTERNode` | `setComment(java.lang.String value)`
    `GRIDFOOTERNode` | `setComponentbinding(java.lang.String value)`
    `GRIDFOOTERNode` | `setConfiginfo(java.lang.String value)`
    `GRIDFOOTERNode` | `setId(java.lang.String value)`
    `GRIDFOOTERNode` | `setReference(java.lang.String value)`
    `GRIDFOOTERNode` | `setRendered(boolean value)`
    `GRIDFOOTERNode` | `setRendered(java.lang.String value)`
    `GRIDFOOTERNode` | `setRowheight(int value)`
    `GRIDFOOTERNode` | `setRowheight(java.lang.String value)`
    `GRIDFOOTERNode` | `setStylevariant(java.lang.String value)`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode

      `addAttribute, addAttribute, addSubNode, getAttribute, getAttributesMap, getAttributeValue, getSubNodes, getTagName, toString, toXML`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### GRIDFOOTERNode

          public GRIDFOOTERNode()

  - ### Method Detail

    - #### setId

          public GRIDFOOTERNode setId(java.lang.String value)

    - #### setAttributemacro

          public GRIDFOOTERNode setAttributemacro(java.lang.String value)

    - #### setAvoidexport

          public GRIDFOOTERNode setAvoidexport(java.lang.String value)

    - #### bindAvoidexport

          public GRIDFOOTERNode bindAvoidexport(IDynamicContentBindingObject value)

    - #### setAvoidexport

          public GRIDFOOTERNode setAvoidexport(boolean value)

    - #### setComment

          public GRIDFOOTERNode setComment(java.lang.String value)

    - #### bindComment

          public GRIDFOOTERNode bindComment(IDynamicContentBindingObject value)

    - #### setComponentbinding

          public GRIDFOOTERNode setComponentbinding(java.lang.String value)

    - #### setConfiginfo

          public GRIDFOOTERNode setConfiginfo(java.lang.String value)

    - #### bindConfiginfo

          public GRIDFOOTERNode bindConfiginfo(IDynamicContentBindingObject value)

    - #### setReference

          public GRIDFOOTERNode setReference(java.lang.String value)

    - #### setRendered

          public GRIDFOOTERNode setRendered(java.lang.String value)

    - #### bindRendered

          public GRIDFOOTERNode bindRendered(IDynamicContentBindingObject value)

    - #### setRendered

          public GRIDFOOTERNode setRendered(boolean value)

    - #### setRowheight

          public GRIDFOOTERNode setRowheight(java.lang.String value)

    - #### bindRowheight

          public GRIDFOOTERNode bindRowheight(IDynamicContentBindingObject value)

    - #### setRowheight

          public GRIDFOOTERNode setRowheight(int value)

    - #### setStylevariant

          public GRIDFOOTERNode setStylevariant(java.lang.String value)

    - #### bindStylevariant

          public GRIDFOOTERNode bindStylevariant(IDynamicContentBindingObject value)

Copyright © CaptainCasa Gmbh. All Rights Reserved.